import XYZ from 'ol/source/XYZ';
import Attribution from 'ol/control/Attribution';
import { inherits } from 'ol/util';

var TianMap = function (options) {
  var options = options || {};

  var attributions = [TianMap.ATTRIBUTION];
  if (options.attributions !== undefined) {
    options.attributions.forEach(function (attribution) {
      attributions.push(attribution);
    });
  }

  var url;
  if (options.mapType == "sat") {
    url = "http://t{0-4}.tianditu.com/DataServer?T=img_w&x={x}&y={y}&l={z}";
  } else if (options.mapType == "satLabel") {
    url = "http://t{0-4}.tianditu.com/DataServer?T=cia_w&x={x}&y={y}&l={z}";
  } else if (options.mapType == "label") {
    url = "http://t{0-4}.tianditu.com/DataServer?T=cva_w&x={x}&y={y}&l={z}";
  } else {
    url = "http://t{0-4}.tianditu.com/DataServer?T=vec_w&x={x}&y={y}&l={z}";
  }

  XYZ.call(this, {
    attributions: attributions,
    // projection: ol.proj.get("EPSG:3857"),
    projection: options.projection || ol.proj.get("EPSG:3857"),
    cacheSize: options.cacheSize,
    crossOrigin: "anonymous",
    opaque: options.opaque || true,
    maxZoom: options.maxZoom || 19,
    reprojectionErrorThreshold: options.reprojectionErrorThreshold,
    tileLoadFunction: options.tileLoadFunction,
    url: url,
    wrapX: options.wrapX
  });
};
inherits(TianMap, XYZ);

TianMap.ATTRIBUTION = new Attribution({
  html:
    '&copy; <a class="ol-attribution-tianmap" ' +
    'href="http://www.tianditu.cn/">' +
    "天地图</a>"
});

export default TianMap;
