const VSipsdEchartsTablesService = (function () {
  function VSipsdEchartsTablesService() {}

  VSipsdEchartsTablesService.prototype.calcuSumValue = function (dataSource) {
    let sum = ['合计'];
    for (const body of dataSource.body) {
      for (let i = 1; i < body.length; i++) {
        if (!isNaN(parseFloat(body[i]))) {
          if (sum[i] === undefined) {
            sum[i] = '0';
          }
          sum[i] = (parseFloat(sum[i]) + parseFloat(body[i])).toFixed(3);
        }
      }
    }
    return sum;
  };

  VSipsdEchartsTablesService.prototype.processDataSource = function (dataList, isNormalStatus, dataSource, index) {
    if (index) {
      let data = dataList[index];
      dataSource[index] = this.processEchartsData(data, isNormalStatus, dataSource[index]);
    } else {
      let i = 0;
      for (const data of dataList) {
        if (data.type === 'echarts') {
          dataSource[i] = this.processEchartsData(data, isNormalStatus, dataSource[i]);
        } else if (data.type === 'table') {
          dataSource[i] = dataList[i]['dataSource'];
        }
        i++;
      }
    }
    return dataSource;
  };

  VSipsdEchartsTablesService.prototype.processEchartsData = function (data, isNormalStatus, aDataSource) {
    if (data.type === 'echarts') {
      let dataLengthConfig;
      if (isNormalStatus) {
        dataLengthConfig = data['cardNormalDataLength'];
      } else {
        dataLengthConfig = data['cardFullScreenDataLength'];
      }
      if (dataLengthConfig) {
        if (dataLengthConfig.echartsLegendLength && dataLengthConfig.echartsLegendLength > -1 &&
          data['echartsOptions']['legend'] && data['echartsOptions']['legend']['data']) {
          data['echartsOptions']['legend']['data'] = data['echartsOptions']['legend']['data'].slice(0, dataLengthConfig.echartsLegendLength);
        }
        if (dataLengthConfig.echartsXAxisLength && dataLengthConfig.echartsXAxisLength > -1 &&
          data['echartsOptions']['xAxis'] && data['echartsOptions']['xAxis']['data']) {
          data['echartsOptions']['xAxis']['data'] = data['echartsOptions']['xAxis']['data'].slice(0, dataLengthConfig.echartsXAxisLength);
        }
        if (dataLengthConfig.echartsYAxisLength && dataLengthConfig.echartsYAxisLength > -1 &&
          data['echartsOptions']['yAxis'] && data['echartsOptions']['yAxis']['data']) {
          data['echartsOptions']['yAxis']['data'] = data['echartsOptions']['yAxis']['data'].slice(0, dataLengthConfig.echartsYAxisLength);
        }
        if (dataLengthConfig.echartsSeriesLength && dataLengthConfig.echartsSeriesLength > -1 &&
          data['echartsOptions']['series']) {
          if (data['echartsOptions']['legend'] && data['echartsOptions']['legend']['data'] &&
            data['echartsOptions']['legend']['data'].length > 0 && data['echartsOptions']['series'].length > 0 &&
            data['echartsOptions']['series'][0]['type'] && data['echartsOptions']['series'][0]['type'] !== 'pie') {
            const series = [];
            for (const legend of data['echartsOptions']['legend']['data']) {
              for (const serie of data['echartsOptions']['series']) {
                if (legend === serie['name']) {
                  serie['data'] = serie['data'].slice(0, dataLengthConfig.echartsSeriesLength);
                  series.push(serie);
                  break;
                }
              }
            }
            data['echartsOptions']['series'] = series;
          } else if (data['echartsOptions']['series'][0]['data']) {
            data['echartsOptions']['series'][0]['data'] = data['echartsOptions']['series'][0]['data'].slice(0, dataLengthConfig.echartsSeriesLength);
          }
        }
      }
      aDataSource = data['echartsOptions'];
    }
    return aDataSource;
  };
  return VSipsdEchartsTablesService;
}());
export {
  VSipsdEchartsTablesService
}
