/** 地图图层基类
 *
 *
 */
const VSipsdMapBaseLayerInfoClass = (function () {
  function VSipsdMapBaseLayerInfoClass() {
    // 是否需要检查服务的有效性
    this.checkValid = false;
    // 子图层.该属性只对图层树有用，基础底图和影像底图会自动忽略该属性
    this.children = [];
    // 是否自定义操作图层
    this.customOperated = false;
    // 是否展开子节点，仅图层树类型下有用
    this.expanded = true;
    // 拓展信息，可用于附带一些额外的信息，以满足其它功能所需
    this.extraInfo = null;
    // id
    this.id = null;
    // 图层堆叠顺序。index值越大，图层在最顶层。0表示最底层，
    // 不设置时，默认最新加载的图层在最上方。
    // 如果设置了，能够确保图层的堆叠顺序跟图层的index大小保持一致，
    // 但是不能保证相同index的两个图层，后加载的图层堆叠在前一个图层的上层
    this.index = null;
    // 图例信息
    this.legends = [];
    // 图层名称
    this.name = null;
    // 参数对象，比如平台图层所需的token参数
    this.params = null;
    // 是否被选中加载到地图中
    this.selected = false;
    // 类型
    this.type = null;
    // 图层地址
    this.url = null;
  }

  return VSipsdMapBaseLayerInfoClass;
}());

export {
  VSipsdMapBaseLayerInfoClass
};
