import {
  VSipsdGraphicStyleClass
} from "./VSipsdGraphicStyle.class";

/** 地图图层信息
 * 
 * 
 * @export
 */
const VSipsdMapLayerInfoClass = (function () {
  function VSipsdMapLayerInfoClass() {
    // id
    this.id = null;
    // 图层名称
    this.name = null;
    // 类型
    this.type = null;
    // 图层地址
    this.url = null;
    // 参数对象，比如平台图层所需的token参数
    this.params = null;
    // 动态图层的vls属性
    this.vls = null;
    // 图层堆叠顺序。index值越大，图层在最顶层。0表示最底层，
    // 不设置时，默认最新加载的图层在最上方。
    // 如果设置了，能够确保图层的堆叠顺序跟图层的index大小保持一致
    // 但是不能保证相同index的两个图层，后加载的图层堆叠在前一个图层的上层
    this.index = null;
    // 是否被选中加载到地图中
    this.selected = false;
    // 子图层.该属性只对图层树有用，基础底图和影像底图会自动忽略该属性
    this.children = [];
    // 是否展开子节点，仅图层树类型下有用
    this.expanded = true;
    // 图例信息
    this.legends = [];
    // 拓展信息可以带一些额外的信息
    this.extraInfo = null;
    // 是否需要检查服务的有效性
    this.checkValid = false;
    // 图形列表
    this.graphicList = [];
    // 样式
    this.style = new VSipsdGraphicStyleClass();
    // 是否自定义操作图层
    this.customOperated = false;

    console.warn(`
      该class将在以后的版本中被弃用，请根据图层类型选择相应的class进行实例化。
      arcgis切片地图：VSipsdMapEsriTiledLayerInfo
      arcgis动态地图：VSipsdMapEsriDynamicLayerInfo
      矢量切片图层：VSipsdMapVectorTiledLayerInfo
      返回数据是geoJson格式的矢量切片图层：VSipsdMapVectorGeoJsonTiledLayerInfo
      天地图：VSipsdMapTiandiTiledLayerInfo
      图形图层：VSipsdMapGraphicLayerInfo
      geoJson数据显示的图层：VSipsdMapGeoJsonLayerInfo
    `);
  }
  return VSipsdMapLayerInfoClass;
}());
export {
  VSipsdMapLayerInfoClass
};
