import {
  V_SIPSD_MAP_TOOLBAR_ITEM_TYPE
} from "./V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.enum";

/** 地图工具条
 * 
 * 
 * @export
 */
const VSipsdMapToolbarClass = (function () {
  function VSipsdMapToolbarClass() {

    this._id = null;
    // 功能名称
    this.name = null;
    // 子功能
    this.children = [];
  }

  Object.defineProperty(VSipsdMapToolbarClass.prototype, "id", {
    get: function () {
      return this._id;
    },
    set: function (id) {
      if (V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.FULL_EXTENT === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.ZOOM_IN === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.ZOOM_OUT === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.PAN === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.GET_EXTENT === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.MEASURE_LEVTH === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.MEASURE_AREA === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.DRAW_GRAPHICS === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.DRAW_POINT === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.DRAW_POLYLINE === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.DRAW_POLYGON === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.I_QUERY === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.BUILDIV_TABLE_QUERY === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.SWIPE_COMPARE === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.DOUBLE_COMPARE === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.SELECT_GRAPHICS === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.SELECT_CIRCLE === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.SELECT_RECTAVLE === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.SELECT_POLYGON === id ||
        V_SIPSD_MAP_TOOLBAR_ITEM_TYPE.CLEAR_GRAPHICS === id) {
        this._id = id;
      } else {
        console.warn(`
                暂不支持此功能：${id}!
                如果有需求，可以自定义地图工具栏。
                目前支持的功能有：
                    fullExtent：全图
                    zoomIn ：放大
                    zoomOut ：缩小
                    pan：平移
                    getExtent：获取范围
                    measureLeVth： 测量距离
                    measureArea： 测量面积
                    drawGraphics： 绘制（不是一个具体功能，而是下列“绘点”、“绘线”和“绘面”的总称，因此该功能可有可无）
                    drawPoint： 绘点
                    drawPolyline： 绘线
                    drawPolygon： 绘面
                    iQuery： i查询
                    buildiVTableQuery：楼盘表查询
                    swipeCompare： 拉窗对比
                    doubleCompare： 双窗对比
                    selectGraphics： 选择区域（不是一个具体功能，而是下列“圆形”、“矩形”和“多边形”的总称，因此该功能可有可无）
                    selectCircle： 圆形
                    selectRectaVle： 矩形
                    selectPolygon： 多边形
                    clearGraphics： 清除
                `);
        this._id = null;
      }
    },
    enumerable: true,
    configurable: true
  });
  return VSipsdMapToolbarClass;
}());

export {
  VSipsdMapToolbarClass
};
