/** 自定义加载图层的类型，
 * single表示底图或者影像中的图层，在地图中只会有一个此类图层；
 * multi表示图层树中的图层，在地图中可以有多个此类图层。
 *
 * @export
 * @enum {number}
 */
var V_SIPSD_MAP_CUSTOM_OPERATED_LAYER_TYPE = {
  // 表示此类型的图层在地图中只会有一个，“底图”和“影像”中的图层属于此种类型
  SINGLE: 'single',
  // 表示此类型的图层在地图中会有多个，“图层树”中的图层属于此种类型
  MULTI: 'multi',
};

export {
  V_SIPSD_MAP_CUSTOM_OPERATED_LAYER_TYPE
};
