import {
  BaseToolService
} from './../base-tool/base-tool.js';
const JsonProcessService = (function () {
  
  function JsonProcessService() {
    this.baseTool = new BaseToolService();
  }

  /** 将字符串转成json
   * 
   * 
   * @params {string} data 要处理的字符串数据
   * @params {boolean} [processNewLine=true] 是否处理字符串中的换行符
   * @params {boolean} [processSpace=false] 是否处理字符串中的空格
   * @returnses {*} 
   */
  JsonProcessService.prototype.string2Json = function (data, processNewLine, processSpace) {
    processNewLine = this.baseTool.setPropDefaultValue(processNewLine, true);
    processSpace = this.baseTool.setPropDefaultValue(processSpace, false);

    // 处理字符串中换行符
    if (processNewLine) {
      data = data.replace(new RegExp("\r\n", "gm"), "");
    }
    // 处理字符串中的空格符
    if (processSpace) {
      data = data.replace(new RegExp(" ", "gm"), "");
    }
    return JSON.parse(data);
  };

  return JsonProcessService;
}());

export {
  JsonProcessService
};
