const RendererService = (function () {
  function RendererService() {}
  /** 给htmlDOM元素添加class样式类
   *
   *
   * @param {*} element 要操作的htmlDOM元素
   * @param {*} className 要操作的class样式类
   */
  RendererService.prototype.addClass = function (element, className) {
      if (element) {
        element.classList.add(className);
      } else {
        console.warn(`the element is ${element},can't add the ${className} class`);
      }
    },
    /** 给htmlDOM元素移除class样式类
     *
     *
     * @param {*} element 要操作的htmlDOM元素
     * @param {*} className 要操作的class样式类
     */
    RendererService.prototype.removeClass = function (element, className) {
      if (element) {
        element.classList.remove(className);
      } else {
        console.warn(`the element is ${element},can't remove the ${className} class`);
      }
    },
    /** 给htmlDOM元素设置样式
     *
     *
     * @param {*} element 要操作的htmlDOM元素
     * @param {*} styleProp 要操作的样式属性
     * @param {*} styleValue 要操作的样式属性值
     */
    RendererService.prototype.setStyle = function (element, styleProp, styleValue) {
      if (element) {
        const cssStyleDeclaration = element.style;
        cssStyleDeclaration.setProperty(styleProp, styleValue);
      } else {
        console.warn(`the element is ${element},can't set the style`);
      }
    }
    return RendererService;
}());

export {
  RendererService
};
